import _slicedToArray from "@babel/runtime/helpers/esm/slicedToArray";
import React from "react";
import InfoIcon from "@mui/icons-material/Info";
import { Box, Tooltip } from "@mui/material";
import { useEffect } from "react";
import { memo } from "react";
import { useState } from "react";

var NoDescriptionInfo = function NoDescriptionInfo(_ref) {
  var selectedImage = _ref.selectedImage,
      dispatch = _ref.dispatch;

  var _useState = useState(undefined),
      _useState2 = _slicedToArray(_useState, 2),
      regionIndex = _useState2[0],
      setRegionIndex = _useState2[1];

  useEffect(function () {
    var descriptionContainer = document.querySelector("div.iconContainer").nextElementSibling;
    var subContent = descriptionContainer.querySelector("span");
    descriptionContainer.style.display = "flex";
    descriptionContainer.style.alignItems = "center";
    subContent.style.marginLeft = "10%";
    subContent.style.display = "flex";
    subContent.style.alignItems = "center";
    subContent.style.justifyContent = "center";
  }, []);
  useEffect(function () {
    var _selectedImage$region;

    var index = selectedImage === null || selectedImage === void 0 ? void 0 : (_selectedImage$region = selectedImage.regions) === null || _selectedImage$region === void 0 ? void 0 : _selectedImage$region.findIndex(function (region) {
      return !region.comment && true;
    });
    setRegionIndex(index);
  }, [selectedImage]);
  return React.createElement(Box, {
    sx: {
      cursor: "pointer",
      display: "flex",
      alignItems: "center",
      justifyContent: "center"
    },
    component: "span"
  }, React.createElement(Tooltip, {
    title: "You can improve the process by adding descriptions to your annotations"
  }, React.createElement(InfoIcon, {
    fontSize: "small",
    sx: {
      color: "orange"
    },
    onClick: function onClick() {
      dispatch({
        type: "SELECT_REGION",
        region: selectedImage.regions[regionIndex]
      });
    }
  })));
};

export default memo(NoDescriptionInfo);